<!--#include file="../Include/Conn.jsp" -->
<!--#include file="../Include/char.jsp" -->
<!--#include file="../Include/const.jsp" -->

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3c.org/TR/1999/REC-html401-19991224/loose.dtd">
<HTML xmlns="http://www.w3.org/1999/xhtml"><HEAD><TITLE>运城地带 - 网络相册</TITLE>
<META http-equiv=Content-Type content="text/html; charset=gb2312"><LINK 
href="css/index_photo.css" type=text/css rel=stylesheet>
<META content="MSHTML 6.00.2800.1555" name=GENERATOR></HEAD>
<BODY onload=init();>
<DIV id=logo><A title=网络相册-首页 
href="photo_default.jsp"><SPAN>网络相册-首页</SPAN></A> </DIV>
	<DIV id=nav><A href="../">首页</A> | <A 
href="QQ_default.jsp">运城地带</A> | <A 
href="QQ_index.jsp">小圈子</A> | <A 
href="../blog/">运城博客</A> | <A 
href="photo_default.jsp">网络相册</A> | <A 
href="QQ_ployall.jsp">精彩活动</A> | <A 
href="friend_index.jsp">交友频道</A> | <A 
href="../bbs/" target=_blank>运城社区</A> </DIV>
<DIV id=main>
<DIV id=menu><IMG src="img/photo/photo_left.gif" name="limg" id=limg> 
<UL>
  <LI><A title=相册首页 href="photo_default.jsp"><IMG 
  src="img/photo/home.gif"></A> </LI>
  <LI><A title=我的相册 href="photo_my.jsp"><IMG 
  src="img/photo/my_album.gif"></A> </LI>
  <LI><A title=分类相册 href="photo_list.jsp"><IMG 
  src="img/photo/sort.gif"></A> </LI>
  <LI><A title=最新照片 href="photo_new.jsp"><IMG 
  src="img/photo/newPhoto.gif"></A> </LI>
  <LI><A title=相册排行 href="photo_sort.jsp"><IMG 
  src="img/photo/rank.gif"></A> </LI>
  <LI id=menuend><A title=在线大头贴 href="photo_dtt.jsp"><IMG 
  src="img/photo/dtt.gif"></A> </LI></UL></DIV>  
<DIV id=contian>

<DIV id=mid>
<DIV id=hot>
<%
dim imageIDs,i,imageSrc,imageName
i=0
m_SQL = "SELECT top 8 * FROM Photo_AlbumList ORDER BY F_ID DESC"
Set rs = conn.Execute(m_SQL)
do while not rs.eof
imageIDs=imageIDs&rs("F_ID")&"',"
imageSrc=imageSrc&"upfile/SmallImages/"&rs("F_UserID")&"/"&rs("F_Image")&"',"
imageName=imageName&rs("F_Title")&"',"
if  i<9 then
imageIDs=imageIDs&"'"
imageSrc=imageSrc&"'"
imageName=imageName&"'"		  
end if
rs.movenext
i=i+1
loop
rs.close
%>
<script language=JavaScript>

var pageCount = '8';
var numImgs = '8';
var imageIDsArray = new Array('<%=imageIDs%>');
var imageSrcArray = new Array('<%=imageSrc%>');
var imageNameArray = new Array('<%=imageName%>');
var imageWidthArray = new Array('400','466','454','400','480','491','500','453','');
var imageHeightArray = new Array('404','489','340','374','640','369','374','340','');
var slideshow_end_url = '?Page=';
var isLastPage = 0;
var begImg  = 0;
var arrPreload = new Array();
var SHOWCREATOR=false;
var buttonImgPfx = "img/";
var buttonOnArray = new Array("bt_d_play.jpg","bt_d_stop.jpg","bt_d_rwd.jpg","bt_d_fwd.jpg");
var buttonOffArray = new Array("bt_u_play.jpg","bt_u_stop.jpg","bt_u_rwd.jpg","bt_u_fwd.jpg");
var SHOWINGSTRING='第<FONT color=#5295f2>%slideNum</FONT>/' + numImgs + '张';
var _PRELOADRANGE = 5;
var speedControl = 4000;
    var agt=navigator.userAgent.toLowerCase();

    // Note: On IE5, these return 4, so use is_ie5up to detect IE5.
    var is_major = parseInt(navigator.appVersion);
    var is_minor = parseFloat(navigator.appVersion);

    // Note: Opera and WebTV spoof Navigator.  We do strict client detection.
    // If you want to allow spoofing, take out the tests for opera and webtv.
   
    var is_nav  = ((agt.indexOf('mozilla')!=-1) && (agt.indexOf('spoofer')==-1)
                && (agt.indexOf('compatible') == -1) && (agt.indexOf('opera')==-1)
                && (agt.indexOf('webtv')==-1) && (agt.indexOf('hotjava')==-1));
    var is_nav2 = (is_nav && (is_major == 2));
    var is_nav3 = (is_nav && (is_major == 3));
    var is_nav4 = (is_nav && (is_major == 4));
    var is_nav4up = (is_nav && (is_major >= 4));
    var is_navonly      = (is_nav && ((agt.indexOf(";nav") != -1) ||
                          (agt.indexOf("; nav") != -1)) );
    var is_nav6 = (is_nav && (is_major == 5));
    var is_nav6up = (is_nav && (is_major >= 5));
    var is_gecko = (agt.indexOf('gecko') != -1);


    var is_ie     = ((agt.indexOf("msie") != -1) && (agt.indexOf("opera") == -1));
    var is_ie3    = (is_ie && (is_major < 4));
    var is_ie4    = (is_ie && (is_major == 4) && (agt.indexOf("msie 4")!=-1) );
    var is_ie4up  = (is_ie && (is_major >= 4));
    var is_ie5    = (is_ie && (is_major == 4) && (agt.indexOf("msie 5.0")!=-1) );
    var is_ie5_5  = (is_ie && (is_major == 4) && (agt.indexOf("msie 5.5") !=-1));
    var is_ie5up  = (is_ie && !is_ie3 && !is_ie4);
    var is_ie5_5up =(is_ie && !is_ie3 && !is_ie4 && !is_ie5);
    var is_ie6    = (is_ie && (is_major == 4) && (agt.indexOf("msie 6.")!=-1) );
    var is_ie6up  = (is_ie && !is_ie3 && !is_ie4 && !is_ie5 && !is_ie5_5);

    // KNOWN BUG: On AOL4, returns false if IE3 is embedded browser
    // or if this is the first browser window opened.  Thus the
    // variables is_aol, is_aol3, and is_aol4 aren't 100% reliable.
    var is_aol   = (agt.indexOf("aol") != -1);
    var is_aol3  = (is_aol && is_ie3);
    var is_aol4  = (is_aol && is_ie4);
    var is_aol5  = (agt.indexOf("aol 5") != -1);
    var is_aol6  = (agt.indexOf("aol 6") != -1);

    var is_opera = (agt.indexOf("opera") != -1);
    var is_opera2 = (agt.indexOf("opera 2") != -1 || agt.indexOf("opera/2") != -1);
    var is_opera3 = (agt.indexOf("opera 3") != -1 || agt.indexOf("opera/3") != -1);
    var is_opera4 = (agt.indexOf("opera 4") != -1 || agt.indexOf("opera/4") != -1);
    var is_opera5 = (agt.indexOf("opera 5") != -1 || agt.indexOf("opera/5") != -1);
    var is_opera5up = (is_opera && !is_opera2 && !is_opera3 && !is_opera4);

    var is_webtv = (agt.indexOf("webtv") != -1); 

    var is_TVNavigator = ((agt.indexOf("navio") != -1) || (agt.indexOf("navio_aoltv") != -1)); 
    var is_AOLTV = is_TVNavigator;

    var is_hotjava = (agt.indexOf("hotjava") != -1);
    var is_hotjava3 = (is_hotjava && (is_major == 3));
    var is_hotjava3up = (is_hotjava && (is_major >= 3));

    // *** JAVASCRIPT VERSION CHECK ***
    var is_js;
    if (is_nav2 || is_ie3) is_js = 1.0;
    else if (is_nav3) is_js = 1.1;
    else if (is_opera5up) is_js = 1.3;
    else if (is_opera) is_js = 1.1;
    else if ((is_nav4 && (is_minor <= 4.05)) || is_ie4) is_js = 1.2;
    else if ((is_nav4 && (is_minor > 4.05)) || is_ie5) is_js = 1.3;
    else if (is_hotjava3up) is_js = 1.4;
    else if (is_nav6 || is_gecko) is_js = 1.5;
    // NOTE: In the future, update this code when newer versions of JS
    // are released. For now, we try to provide some upward compatibility
    // so that future versions of Nav and IE will show they are at
    // *least* JS 1.x capable. Always check for JS version compatibility
    // with > or >=.
    else if (is_nav6up) is_js = 1.5;
    // NOTE: ie5up on mac is 1.4
    else if (is_ie5up) is_js = 1.3

    // HACK: no idea for other browsers; always check for JS version with > or >=
    else is_js = 0.0;

    // *** PLATFORM ***
    var is_win   = ( (agt.indexOf("win")!=-1) || (agt.indexOf("16bit")!=-1) );
    // NOTE: On Opera 3.0, the userAgent string includes "Windows 95/NT4" on all
    //        Win32, so you can't distinguish between Win95 and WinNT.
    var is_win95 = ((agt.indexOf("win95")!=-1) || (agt.indexOf("windows 95")!=-1));

    // is this a 16 bit compiled version?
    var is_win16 = ((agt.indexOf("win16")!=-1) || 
               (agt.indexOf("16bit")!=-1) || (agt.indexOf("windows 3.1")!=-1) || 
               (agt.indexOf("windows 16-bit")!=-1) );  

    var is_win31 = ((agt.indexOf("windows 3.1")!=-1) || (agt.indexOf("win16")!=-1) ||
                    (agt.indexOf("windows 16-bit")!=-1));

    var is_winme = ((agt.indexOf("win 9x 4.90")!=-1));
    var is_win2k = ((agt.indexOf("windows nt 5.0")!=-1));

    // NOTE: Reliable detection of Win98 may not be possible. It appears that:
    //       - On Nav 4.x and before you'll get plain "Windows" in userAgent.
    //       - On Mercury client, the 32-bit version will return "Win98", but
    //         the 16-bit version running on Win98 will still return "Win95".
    var is_win98 = ((agt.indexOf("win98")!=-1) || (agt.indexOf("windows 98")!=-1));
    var is_winnt = ((agt.indexOf("winnt")!=-1) || (agt.indexOf("windows nt")!=-1));
    var is_win32 = (is_win95 || is_winnt || is_win98 || 
                    ((is_major >= 4) && (navigator.platform == "Win32")) ||
                    (agt.indexOf("win32")!=-1) || (agt.indexOf("32bit")!=-1));

    var is_os2   = ((agt.indexOf("os/2")!=-1) || 
                    (navigator.appVersion.indexOf("OS/2")!=-1) ||   
                    (agt.indexOf("ibm-webexplorer")!=-1));

    var is_mac    = (agt.indexOf("mac")!=-1);
    // hack ie5 js version for mac
    if (is_mac && is_ie5up) is_js = 1.4;
    var is_mac68k = (is_mac && ((agt.indexOf("68k")!=-1) || 
                               (agt.indexOf("68000")!=-1)));
    var is_macppc = (is_mac && ((agt.indexOf("ppc")!=-1) || 
                                (agt.indexOf("powerpc")!=-1)));

    var is_sun   = (agt.indexOf("sunos")!=-1);
    var is_sun4  = (agt.indexOf("sunos 4")!=-1);
    var is_sun5  = (agt.indexOf("sunos 5")!=-1);
    var is_suni86= (is_sun && (agt.indexOf("i86")!=-1));
    var is_irix  = (agt.indexOf("irix") !=-1);    // SGI
    var is_irix5 = (agt.indexOf("irix 5") !=-1);
    var is_irix6 = ((agt.indexOf("irix 6") !=-1) || (agt.indexOf("irix6") !=-1));
    var is_hpux  = (agt.indexOf("hp-ux")!=-1);
    var is_hpux9 = (is_hpux && (agt.indexOf("09.")!=-1));
    var is_hpux10= (is_hpux && (agt.indexOf("10.")!=-1));
    var is_aix   = (agt.indexOf("aix") !=-1);      // IBM
    var is_aix1  = (agt.indexOf("aix 1") !=-1);    
    var is_aix2  = (agt.indexOf("aix 2") !=-1);    
    var is_aix3  = (agt.indexOf("aix 3") !=-1);    
    var is_aix4  = (agt.indexOf("aix 4") !=-1);    
    var is_linux = (agt.indexOf("inux")!=-1);
    var is_sco   = (agt.indexOf("sco")!=-1) || (agt.indexOf("unix_sv")!=-1);
    var is_unixware = (agt.indexOf("unix_system_v")!=-1); 
    var is_mpras    = (agt.indexOf("ncr")!=-1); 
    var is_reliant  = (agt.indexOf("reliantunix")!=-1);
    var is_dec   = ((agt.indexOf("dec")!=-1) || (agt.indexOf("osf1")!=-1) || 
           (agt.indexOf("dec_alpha")!=-1) || (agt.indexOf("alphaserver")!=-1) || 
           (agt.indexOf("ultrix")!=-1) || (agt.indexOf("alphastation")!=-1)); 
    var is_sinix = (agt.indexOf("sinix")!=-1);
    var is_freebsd = (agt.indexOf("freebsd")!=-1);
    var is_bsd = (agt.indexOf("bsd")!=-1);
    var is_unix  = ((agt.indexOf("x11")!=-1) || is_sun || is_irix || is_hpux || 
                 is_sco ||is_unixware || is_mpras || is_reliant || 
                 is_dec || is_sinix || is_aix || is_linux || is_bsd || is_freebsd);

    var is_vms   = ((agt.indexOf("vax")!=-1) || (agt.indexOf("openvms")!=-1));
 // - IE5.5 and up can do the blending transition.
var browserCanBlend = (is_ie5_5up);
 /* show the blend select if appropriate */



var curImg = 0;
var timerId = -1;
var intervalf = 3000;
var intervalm = 4500;
var intervals = 6000;
var interval = intervalm;
var imgIsLoaded = false;

var current_transition = 15;
var flag = true;
var bFirst = false;
var transitions = new Array;
transitions[0] = "progid:DXImageTransform.Microsoft.Fade(duration=1)";
transitions[1] = "progid:DXImageTransform.Microsoft.Blinds(Duration=1,bands=20)";
transitions[2] = "progid:DXImageTransform.Microsoft.Checkerboard(Duration=1,squaresX=20,squaresY=20)";
transitions[3] = "progid:DXImageTransform.Microsoft.Strips(Duration=1,motion=rightdown)";
transitions[4] = "progid:DXImageTransform.Microsoft.Barn(Duration=1,orientation=vertical)";
transitions[5] = "progid:DXImageTransform.Microsoft.GradientWipe(duration=1)";
transitions[6] = "progid:DXImageTransform.Microsoft.Iris(Duration=1,motion=out)";
transitions[7] = "progid:DXImageTransform.Microsoft.Wheel(Duration=1,spokes=12)";
transitions[8] = "progid:DXImageTransform.Microsoft.Pixelate(maxSquare=10,duration=1)";
transitions[9] = "progid:DXImageTransform.Microsoft.RadialWipe(Duration=1,wipeStyle=clock)";
transitions[10] = "progid:DXImageTransform.Microsoft.RandomBars(Duration=1,orientation=vertical)";
transitions[11] = "progid:DXImageTransform.Microsoft.Slide(Duration=1,slideStyle=push)";
transitions[12] = "progid:DXImageTransform.Microsoft.RandomDissolve(Duration=1,orientation=vertical)";
transitions[13] = "progid:DXImageTransform.Microsoft.Spiral(Duration=1,gridSizeX=40,gridSizeY=40)";
transitions[14] = "progid:DXImageTransform.Microsoft.Stretch(Duration=1,stretchStyle=push)";
transitions[15] = "special case";
var transition_count = 15;


var arrPreload = new Array();


function replaceNum(myinput, token, newstr)
{
    var input = myinput;
    var output = input;
    var idx = output.indexOf(token);
    if (idx > -1) 
	{
		output = input.substring(0, idx);
		output += newstr;
		output += input.substr(idx+token.length);
    }
    return output;
}

function changeSpeed(sidx)
{
     switch (sidx) 
	{
		case 0: interval = 2000; break;
		case 1: interval = 4000; break;
		case 2: interval = 6000; break;
		default: interval = 4000;
    }
    if (timerId != -1) 
	{
		window.clearInterval(timerId);
		timerId = window.setInterval("forward();", interval);
    }
}

function preloadRange(intPic,intRange) {
	var divStr = "";
	var iRange = 8;
	
	for (var i=intPic; i<intPic+intRange; i++) {
		arrPreload[i] = new Image();
		arrPreload[i].src = imageSrcArray[i];	
	} 
	
	var strIn = "";
	var k = 0;
	for (i=intPic; i<intPic+iRange; i++) {
		j = i;
		var strA = "";
		var s = "";
		var nextImg = curImg;
		if(j>=numImgs || j<0)	
		{
			
		}
		else
		{
			//s = ScaleImage(j);
			strA = "<a href='javascript:changeSlide("+j+")'><img "+" id="+j+ GetBorder(j,nextImg)+" src='"+imageSrcArray[j]+"' "+s+ "></a>";		
		}
		
		if(bFirst)
		{
			nextImg = curImg+1;
			if(curImg==(numImgs-1))
			{
				nextImg = 0;
			}
			if(curImg+1>numImgs)
			{
				nextImg = nextImg-numImgs;
			}
		}
		strIn = "<span style='WIDTH: 75px; HEIGHT: 75px'>"+strA+"</span>&nbsp;&nbsp;";
		strIn = strIn.replace("/b_","/s_"); 
 		divStr += strIn;
	}
	//document.getElementById("div1").innerHTML = divStr;
	if(!bFirst)
	{
		if (browserCanBlend) 
		{
			var divTrans = '&nbsp;选择效果：&nbsp;<select name="transitionType" size=1  onchange="change_transition()" ><option value=15 selected>随机显示</option> <option value=0 >混合效果</option> <option value=1 >百叶窗</option> <option value=2 >棋盘效果</option> <option value=3 >斜式效果</option> <option value=4 >开门见山</option> <option value=5 >擦除效果</option> <option value=6 >虹式效果</option> <option value=7 >风车效果</option> <option value=8 >波纹荡漾</option> <option value=9 >时钟转动</option> <option value=10 >雨丝效果</option> <option value=11 >滑动方式</option> <option value=12 >雪花显示</option> <option value=13 >盘旋收缩</option> <option value=14 >伸展方式</option> </select> ';
			//document.getElementById("div2").innerHTML = divTrans;
		}
		bFirst = true;
	}
	
	return true;
}

function GetBorder(i,j)
{
	if(i==j)
		return "  class=uimgSlide ";
	return " border=0 ";

}

// scales the current image so that it fits within the control
// while preserving the aspect ratio of the image
function ScaleImage(i)
{
	// calculate the remaining avaialble width and height
	var iAvailableWidth = 60;//span.clientWidth;;
	var iAvailableHeight = 60;//span.clientHeight;
	// calculate the scale to use for the image. Note, the image
	// will never be stretched beyond it's actual width and height,
	// and thus the scale max is 1
	iFullImageWidth = imageWidthArray[i];
	iFullImageHeight = imageHeightArray[i];
	var flScale = Math.min(	1,Math.min((iAvailableWidth /iFullImageWidth),(iAvailableHeight /iFullImageHeight)));
	// set the width of the image
	var width = iScaledImageWidth = Math.round(iFullImageWidth * flScale);
	// set the height of the image
	var height = iScaledImageHeight = Math.round(iFullImageHeight * flScale);
	// center the image by adjusting it's left and top values
	var iLeft = Math.floor((iAvailableWidth - iScaledImageWidth) / 2);
	var iTop = Math.floor((iAvailableHeight - iScaledImageHeight) / 2);
	var style="style='HEIGHT: "+height+"; WIDTH: "+width+"'";
	return style;

}

function change_transition() 
{
	current_transition = document.all.transitionType.selectedIndex;
	//alert(current_transition);
	if(current_transition == 0)
		current_transition = 15;
	else
		current_transition--;
}

function imgLoadNotify()
{
    imgIsLoaded = true;
}

function GetChecked()
{
	flag = !flag;
}

function changeSlide(n)
{
    if (document.all)
	{    	
		/* transistion effects */
		if (browserCanBlend)
		{
			var do_transition;
			//alert(current_transition);
			if (current_transition == (transition_count)) 
			{
				do_transition = Math.floor(Math.random() * transition_count);
			} 
			else 
			{
				do_transition = current_transition;
			}
			document.all.imgp.style.filter=transitions[do_transition];
			document.all.imgp.filters[0].Apply();
		}
    	else
    	{
    		document.all.imgp.style.filter="blendTrans(duration=1)";
    		document.all.imgp.filters.blendTrans.Apply();
    	}
    	
    }
    if(n>=0)
    {
		curImg = n;		
		var s = document.getElementById("div1").innerHTML;
		var sID = "id="+n;
		var astrItems = s.split("&nbsp;");
		var iItemSep;
		var str;
		var strInner = "";
		for (var i=0; i < astrItems.length; i++)
		{
			str = astrItems[i];
			
			if(str.indexOf("class=uimgSlide") != -1)
			{
				if(str.indexOf(sID) == -1)
				{
					str = str.replace("class=uimgSlide", "border=0");
				}
			}	
			if(str.indexOf(sID) != -1)
			{
				str = str.replace("border=0", "class=uimgSlide");
			}
			strInner += str+"&nbsp;";
		}
		document.getElementById("div1").innerHTML = strInner;
    }
    imgIsLoaded = false;
     var htmlCont = "<center>" +
				"<a href='ShowPhoto.jsp?ID="+imageIDsArray[curImg]+"' target=_blank title='点击查看图片详细信息'><img src=\"" + imageSrcArray[curImg] + "\" alt=\"" + imageNameArray[curImg] + "\"";
    
     if (imageWidthArray[curImg] > 0 && imageHeightArray[curImg] > 0) 
	{
		htmlCont += (imageHeightArray[curImg]>280)?" height=280":" width=" + imageWidthArray[curImg] + " height=" + imageHeightArray[curImg];		
    }   
    htmlCont += " border=0 hspace=5 vspace=5   class=uimg  onload=\"imgLoadNotify();\">" + "</a>";
    
    var a = flag?("<br><span class=yphsmhdr>" + imageNameArray[curImg] + "</span></center>"):"";
	htmlCont +=a;
    var pnumLine = "<span >";
    pnumLine += replaceNum(SHOWINGSTRING, "%slideNum", eval(curImg+1));
    pnumLine += "</span >";
   // document.getElementById("pnumDiv").innerHTML = pnumLine;
    document.getElementById("imgp").innerHTML = htmlCont;
    if (document.all) 
    {			
		document.all.imgp.filters[0].Play();		
    }
    
    preloadRange(curImg-4,_PRELOADRANGE);
}

function forward()
{
	if ((curImg+1) >= numImgs) 
	{ 			
		curImg = -1;
		changeSlide();
		play();
		return;
	} 
	imgIsLoaded = false;
	//imgIsLoaded = (curImg+_PRELOADRANGE<numImgs)?preloadRange(curImg+1,_PRELOADRANGE):preloadRange(curImg+1,numImgs-curImg-1);
	imgIsLoaded = preloadRange(curImg-4,_PRELOADRANGE);
	
	if (!arrPreload[curImg+1])
	{
		curImg++;
		
	} 
	else 
	{
		curImg++;
	}
	changeSlide();
}

function rewind()
{
	curImg--;
	if (curImg < 0)
	{
		curImg = numImgs-1;
		changeSlide();
	}
	else
		changeSlide();
}

function stop()
{
    window.clearInterval(timerId);
    timerId = -1;
    document.playbtn.src = buttonImgPfx + buttonOffArray[0];
    document.stopbtn.src = buttonImgPfx + buttonOnArray[1];
    imgIsLoaded = true;
}

function play()
{
	interval = speedControl;
	
	forward();
    if (timerId == -1) 
		timerId = window.setInterval('forward();', interval);

    document.playbtn.src = buttonImgPfx + buttonOnArray[0];
    document.stopbtn.src = buttonImgPfx + buttonOffArray[1];
}

function setButton(direction)
{
	interval = speedControl;
	if (timerId != -1) { window.clearInterval(timerId); timerId = window.setInterval("forward();", interval); }
    imgIsLoaded = true;
    if (direction == 0) 
	{
		document.prevbtn.src = buttonImgPfx + buttonOnArray[2];
		window.setTimeout("document.prevbtn.src = buttonImgPfx + buttonOffArray[2];", 1500);
    }
	else 
	{
		document.fowdbtn.src = buttonImgPfx + buttonOnArray[3];
		window.setTimeout("document.fowdbtn.src = buttonImgPfx + buttonOffArray[3];", 1500);
    }
}
function init(){
    preloadRange(0,_PRELOADRANGE-1);
    window.onResize = function(){
		if (isMinNS4) {
			var mydir = "/e7cc";
			var urlstr = "";
			window.open(urlstr, "_top");
		}
    }
    curImg = begImg;
    if (curImg < 0 || curImg > numImgs - 1)
	curImg = numImgs - 1;
    changeSlide();
    interval = intervalm;
    setTimeout("play()", 1000)
}
document.write('<div class="rim"><div id="imgp" style="height:310px;overflow:hidden;"></div>');
document.write('<div style="background:url(img/img_tool.jpg) repeat-x;text-align:center;"><a href="javascript:play()"><img src="img/bt_d_play.jpg" alt="放映" name="playbtn" border="0" width="29" height="39"></a><a href="javascript:stop()"><img src="img/bt_u_stop.jpg" alt="停止" name="stopbtn" border="0" width="29" height="39"></a><a href="javascript:setButton(0); rewind();"><img src="img/bt_u_rwd.jpg" alt="上一张" name="prevbtn" border="0" width="29" height="39"></a><a href="javascript:setButton(1); forward();"><img src="img/bt_u_fwd.jpg" border="0" alt="下一张" name="fowdbtn" width="29" height="39"></a><a href="photo_new.jsp"><img src="img/bt_u_qp.jpg" border="0" alt="更多"  width="29" height="39"></a></div></div>');







</SCRIPT>

<TABLE cellSpacing=0 cellPadding=0 width="100%" border=0>
  <TBODY>
  <TR>
    <TD height=5></TD></TR></TBODY></TABLE>
<DL>
  <DT>分类相册 </DT>
  <DD>
  <DIV><IMG src="img/photo/pic01.jpg"></DIV><A 
  href="Category.jsp?CategoryID=1">真我风采</A> </DD>
  <DD>
  <DIV><IMG src="img/photo/pic02.jpg"></DIV><A 
  href="Category.jsp?CategoryID=5">友情无价</A> </DD>
  <DD>
  <DIV><IMG src="img/photo/pic03.jpg"></DIV><A 
  href="Category.jsp?CategoryID=9">自然风景</A> </DD>
  <DD>
  <DIV><IMG src="img/photo/pic05.jpg"></DIV><A 
  href="Category.jsp?CategoryID=3">岁月馏金</A> </DD>
  <DD>
  <DIV><IMG src="img/photo/pic06.jpg"></DIV><A 
  href="Category.jsp?CategoryID=7">浪迹天涯</A> </DD>
  <DD>
  <DIV><IMG src="img/photo/pic07.jpg"></DIV><A 
  href="Category.jsp?CategoryID=11">城市风光</A> </DD>
  <DD>
  <DIV><IMG src="img/photo/pic09.jpg"></DIV><A 
  href="Category.jsp?CategoryID=2">学生时代</A> </DD>
  <DD>
  <DIV><IMG src="img/photo/pic10.jpg"></DIV><A 
  href="Category.jsp?CategoryID=6">温馨家庭</A> </DD>
  <DD>
  <DIV><IMG src="img/photo/pic11.jpg"></DIV><A 
  href="Category.jsp?CategoryID=10">卡通漫画</A> </DD>
  <DD>
  <DIV><IMG src="img/photo/2005052901.gif"></DIV><A 
  href="Category.jsp?CategoryID=12">明星天地</A> </DD>
  <DD>
  <DIV><IMG src="img/photo/20049108566.gif"></DIV><A 
  href="Category.jsp?CategoryID=4">谈情说爱</A> </DD>
  <DD>
  <DIV><IMG src="img/photo/200491085852.gif"></DIV><A 
  href="Category.jsp?CategoryID=8">体育运动</A> 
</DD></DL></DIV>
<DIV id=rightlist><IMG class=rim src="img/photo/ad.jpg"> 
<UL>
  <H2>热门相册排行</H2>
    <%
	  set rs_c=server.createobject("adodb.recordset")
	  sql_c="Select top 10 * from Photo_AlbumList order by F_Hits desc"
  rs_c.open sql_c,conn,1,1
do while not rs_c.eof
n=n+1		
	  %> 
 <li id="top<%=n%>"><A title="<%=rs_c("F_Title")%>" 
  href="ShowPhoto.jsp?ID=<%=rs_c("F_ID")%>" target=_blank><% if len(rs_c("f_title"))<18 then %><%=rs_c("f_title")%><% else %><%=left(rs_c("f_title"),16)%>...<% end if %> </A>
 <% 
	  rs_c.movenext
	  loop
	  rs_c.close
	  set rs_c=nothing
	  %>
</LI></UL></DIV></DIV></DIV>
<DIV id=foot><A class=list href="../about/?Para=Intro" target=_blank>关于我们</A> ┊ <A class=list href="../about/?Para=Contact" target=_blank>联系方式</A> ┊ <A class=list href="../about/?Para=Job" target=_blank>招贤纳士</A> ┊ <A class=list href="../about/?Para=AdService" target=_blank>广告服务</A> ┊ <A class=list href="../about/?Para=Cooperate" target=_blank>合作伙伴</A> ┊ <A class=list href="../so/Suggestion.jsp" target=_blank> 留言/投诉</A> ┊ <A class=list href="../about/?Para=Job" target=_blank></A><BR><%=Site_info(5)%> </DIV></DIV>
      <%if Request.Cookies("aspxnet")("CurUserName") = "" then%>
<DIV id=leftlist>
<H3>网络相册</H3>
<FORM name=form1 action=ChkLogin.jsp?return=photo method=post onSubmit="return checkForm()">
<H4>登陆进入您的相册</H4><LABEL for=username><SPAN>用户名:</SPAN><INPUT size=9 
name=username></LABEL> <LABEL for=password><SPAN>密码:</SPAN><INPUT 
type=password size=8 name=password></LABEL> 
<P><BUTTON class=login type=submit><SPAN>登陆</SPAN></BUTTON><BUTTON class=reg 
type=reset><SPAN>注册</SPAN></BUTTON> </P></FORM></DIV>
<%else%>
<%
dim rs,mSql
dim m_AlbumID
dim m_UserID
m_UserID = Request.Cookies("aspxnet")("CurUserID")
m_AlbumID = Request.QueryString("AlbumID")

if m_AlbumID = "" then
  mSql = "Select top 1 * From Photo_Album Where F_UserID="&m_UserID&" ORDER BY F_ID DESC"
else
  mSql = "Select top 1 * From Photo_Album Where F_UserID="&m_UserID&" and F_ID="&m_AlbumID
end if

Set rs = conn.Execute(mSql)
if rs.Eof then
  Response.redirect "Photo_AddNew.jsp"
  Response.End()
end if

mAlbumName = rs("F_AlbumName")
m_AlbumID = rs("F_ID")
'read image size
m_Sql = "Select sum(F_ImageSize) from Photo_AlbumList where F_AlbumID="&m_AlbumID
set rs = conn.Execute(m_Sql)
if not rs.Eof then 
  m_ImageSize = rs(0)
  if m_ImageSize <> "" then
    m_ImageSize = round((m_ImageSize / 1024 / 1024),3)
	if m_ImageSize<1 then m_ImageSize="0"+cstr(m_ImageSize)
	else
	m_ImageSize = 0
  end if
end if

%>
<DIV id=leftlist>
<H3>网络相册</H3>
<FORM>
<H4><%m_TempUserName = Request.Cookies("aspxnet")("CurUserName")
				  if m_TempUserName = "" then Response.write "游客" else Response.write m_TempUserName
				  %>的相册</H4>
<P style="PADDING-RIGHT: 9px; LINE-HEIGHT: 180%; TEXT-ALIGN: right">[ <A 
href="Logout.jsp">退出</A> ]<BR><A 
href="Photo_Upload.jsp?AlbumID=<%=m_AlbumID%>">上传照片</A><BR><A 
href="photo_my.jsp">我的相册</A><BR><A 
href="Photo_AddNew.jsp">新增相册</A> </P></FORM>
<FORM>
<H4>相册统计</H4>
<P style="PADDING-RIGHT: 9px; LINE-HEIGHT: 180%">&nbsp;相册总空间 <SPAN 
class=STYLE1>5.00</SPAN> MB<BR>&nbsp;已用<SPAN class=STYLE1><%=m_ImageSize%></SPAN> 
MB</P>
<H4>相册列表</H4>
<%m_Sql = "Select * From Photo_Album Where F_UserID="&m_UserID&" order by F_ID desc"
								Set rst = conn.Execute(m_Sql)
								Do While Not rst.Eof%>
<P style="PADDING-RIGHT: 9px; LINE-HEIGHT: 180%">&nbsp;<A href="photo_my.jsp?AlbumID=<%=rst("F_ID")%>"><U><%=rst("F_AlbumName")%></U></A><BR></P><%rst.MoveNext
								loop
								rst.Close
								%></FORM></DIV>
<%end if%>
<SCRIPT language=javascript>
function checkForm(){
  if (document.form1.username.value == ""){
    alert("对不起，用户名不能为空!请输入..");
	document.form1.username.focus();
	return false;
  }
  if (document.form1.password.value == ""){
    alert("对不起，密码不能为空!请输入..");
	document.form1.password.focus();
	return false;
  }

}
</SCRIPT>

</BODY></HTML>
